Subject: bug#2548 closed by Tassilo Horn <[email-masked]> (Re: bug#2548: 23.0.60; doc-view: unexpected reuse of previously scaled image)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 03 Mar 2009 12:00:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2548: 23.0.60; doc-view: unexpected reuse of previously scaled image

It has been closed by Tassilo Horn <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Tassilo Horn <[email-masked]> by
replying to this email.

-- 
2548: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2548
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2548: 23.0.60; doc-view: unexpected reuse of previously scaled image
From: Tassilo Horn <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 03 Mar 2009 12:54:34 +0100

Markus Triska <[email-masked]> writes:

Hi Markus,

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c - - - - - - -
>
> the image shrinks, as expected. Then, when I quit Emacs and again do:
>
>    $ emacs -Q p.ps
>
> followed by C-c C-c, doc-view unexpectedly shows the small version
> from the previous run.

That's no bug.  When you fire up emacs again doc-view uses the cached
files, which are the small ones now.

> When I then press "-", it "shrinks" the image so that the result is in
> fact larger than the just displayed image.

Yeah, cause the resulution factor is at the default value again and
doc-view reconverts the doc using this default value x 0.95 or so.

I'm closing that "bug".

Bye,
Tassilo

Subject: 23.0.60; doc-view: unexpected reuse of previously scaled image
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Tue, 3 Mar 2009 02:31:41 +0100 (CET)

With p.ps from:

   http://www.logic.at/prolog/p.ps

when I do:

   $ emacs -Q p.ps

and press:

   C-c C-c - - - - - - -

the image shrinks, as expected. Then, when I quit Emacs and again do:

   $ emacs -Q p.ps

followed by C-c C-c, doc-view unexpectedly shows the small version
from the previous run. When I then press "-", it "shrinks" the image
so that the result is in fact larger than the just displayed image.

In GNU Emacs 23.0.60.2 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2009-01-06 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t